# -*- encoding: utf-8 -*-
"""
@File    : algorithm_shop_url.py
@Time    : 2022/8/26 14:38
@Author  : stephen
@Email   : zhangdongming@asj6.wecom.work
@Software: PyCharm
"""
from django.urls import re_path

from AdminController import AlgorithmShopManageController
from Controller.AlgorithmShop import AlgorithmShopController
from Controller.CloudPhoto import CloudPhotoController
from Controller.Cron import CronCloudPhotoController

urlpatterns = [
    re_path(r'^api/(?P<operation>.*)$', AlgorithmShopController.AlgorithmShopView.as_view()),
    re_path(r'^cron/(?P<operation>.*)$', CronCloudPhotoController.CronCloudPhotoView.as_view()),
    re_path(r'^photo/(?P<operation>.*)$', CloudPhotoController.CronCloudPhotoView.as_view()),
    re_path(r'^open/(?P<operation>.*)$', AlgorithmShopController.AlgorithmShopView.as_view()),
    re_path(r'^(?P<apiVersion>[a-zA-Z0-9]+)/manage/(?P<operation>.*)$',
            AlgorithmShopManageController.AlgorithmShopManageView.as_view()),

]
